> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Google Play 批量应用指标实时数据

> 此端点将为你提供最多 1000 个 Google Play 应用的排名指标。



## OpenAPI

````yaml openapi/zh/dataforseo.json POST /dataforseo/dataforseo_labs/google/bulk_app_metrics/live
openapi: 3.0.3
info:
  title: DataForSEO API
  version: 1.0.0
  description: 通过 AIsa 统一网关提供的 DataForSEO API 端点。
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - BearerAuth: []
paths:
  /dataforseo/dataforseo_labs/google/bulk_app_metrics/live:
    post:
      summary: Google Play 批量应用指标实时数据
      description: 此端点将为你提供最多 1000 个 Google Play 应用的排名指标。
      operationId: post_dataforseo_dataforseo_labs_google_bulk_app_metrics_live
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                app_ids:
                  type: array
                  items:
                    type: string
                  description: >-
                    应用 ID，必填字段；Google Play 上移动应用的 ID；可在 Google Play 所列每个应用的 URL
                    中找到该 ID；示例：在 URL
                    https://play.google.com/store/apps/details?id=org.telegram.messenger
                    中，id 为 org.telegram.messenger；此字段最多可指定 1000 个 ID
                location_name:
                  type: string
                  description: >-
                    位置的完整名称。如果未指定 location_code，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发起请求，获取包含 location_name 的可用位置列表。注意：此端点目前仅支持美国位置。示例：United
                    States
                location_code:
                  type: integer
                  description: >-
                    位置代码。如果未指定 location_name，则为必填字段。注意：必须指定 location_name 或
                    location_code 之一。您可以通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发送请求，获取包含 location_code 的可用位置列表；注意：此端点目前仅支持美国位置；示例：2840
                language_name:
                  type: string
                  description: >-
                    语言的完整名称。如果未指定 language_code，则此字段为必填字段。注意：必须指定 language_name
                    或 language_code 之一。可通过向
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages
                    单独发出请求，获取包含 language_name 的可用语言列表；注意：此端点目前仅支持英语；示例：English
                language_code:
                  type: string
                  description: >-
                    语言代码。如果未指定 language_name，则为必填字段。注意：必须指定 language_name 或
                    language_code 之一。您可以通过单独请求
                    https://api.dataforseo.com/v3/dataforseo_labs/locations_and_languages，获取可用语言及其
                    language_code 的列表；注意：此端点目前仅支持英语。示例：en
                tag:
                  type: string
                  description: >-
                    用户定义的任务标识符。可选字段。字符数限制为 255。您可以使用此参数标识任务并将其与结果匹配；您将在响应的 data
                    对象中找到指定的 tag 值
              required:
                - app_ids
                - location_name
                - location_code
                - language_name
                - language_code
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              schema:
                type: object
                properties:
                  version:
                    type: string
                    description: API 的当前版本
                  status_code:
                    type: integer
                    description: 通用状态码；您可以在此处查看完整的响应码列表。注意：我们强烈建议设计必要的系统来处理相关异常或错误情况
                  status_message:
                    type: string
                    description: 常规信息消息；可在此处查看常规信息消息的完整列表
                  time:
                    type: string
                    description: 执行时间（秒）
                  cost:
                    type: number
                    description: 任务总成本（美元）
                  tasks_count:
                    type: integer
                    description: tasks 数组中的任务数量
                  tasks_error:
                    type: integer
                    description: 返回错误的 tasks 数组中的任务数量
                  tasks:
                    type: array
                    items:
                      type: string
                    description: 任务数组
                  tasks.id:
                    type: string
                    description: 任务标识符，系统中采用 UUID 格式的唯一任务标识符
                  tasks.status_code:
                    type: integer
                    description: DataForSEO 生成的任务状态码；范围为：10000-60000；完整响应代码列表可在此处查看
                  tasks.status_message:
                    type: string
                    description: 任务的信息性消息，你可以在此处查看通用信息性消息的完整列表
                  tasks.time:
                    type: string
                    description: 执行时间（秒）
                  tasks.cost:
                    type: number
                    description: 任务成本（美元）
                  tasks.result_count:
                    type: integer
                    description: 结果数组中的元素数量
                  tasks.path:
                    type: array
                    items:
                      type: string
                    description: URL 路径
                  tasks.data:
                    type: object
                    description: 包含您在 POST 请求中指定的相同参数
                  tasks.result:
                    type: array
                    items:
                      type: string
                    description: 结果数组
                  tasks.result.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.app_id:
                    type: string
                    description: POST 数组中的应用 id
                  tasks.result.location_code:
                    type: integer
                    description: POST 数组中的位置代码
                  tasks.result.language_code:
                    type: string
                    description: POST 数组中的语言代码
                  tasks.result.total_count:
                    type: integer
                    description: 数据库中与您的请求相关的结果总量
                  tasks.result.items_count:
                    type: integer
                    description: items 数组中返回的结果数量
                  tasks.result.items:
                    type: array
                    items:
                      type: string
                    description: 包含与指定应用的排名指标相关的数据
                  tasks.result.items.se_type:
                    type: string
                    description: 搜索引擎类型
                  tasks.result.items.app_id:
                    type: string
                    description: POST 数组中的应用 id
                  tasks.result.items.metrics:
                    type: object
                    description: 应用排名关键词的指标，即所提供的应用在 Google Play 上获得排名的关键词相关数据
                  tasks.result.items.metrics.google_play_search_organic:
                    type: object
                    description: 来自 Google Play 自然搜索的排名数据
                  tasks.result.items.metrics.google_play_search_organic.pos_1:
                    type: integer
                    description: 该应用在自然搜索结果中排名第 1 的 SERP 数量
                  tasks.result.items.metrics.google_play_search_organic.pos_2_3:
                    type: integer
                    description: 应用在自然搜索结果中排名第 2-3 位的 SERP 数量
                  tasks.result.items.metrics.google_play_search_organic.pos_4_10:
                    type: integer
                    description: '应用在自然搜索结果中排名第 #4-10 位的 SERP 数量'
                  tasks.result.items.metrics.google_play_search_organic.pos_11_100:
                    type: integer
                    description: 应用在自然搜索结果中排名第 11-100 位的 SERP 数量
                  tasks.result.items.metrics.google_play_search_organic.count:
                    type: integer
                    description: 包含该应用的自然搜索结果页总数
                  tasks.result.items.metrics.google_play_search_organic.search_volume:
                    type: integer
                    description: 应用在 Google Play 自然搜索 SERP 中排名关键词的总搜索量
        '400':
          description: 错误请求
        '401':
          description: 未授权
        '429':
          description: 超出速率限制
        '500':
          description: 内部服务器错误
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````